/*
File Name: palette.less
Date: 12/06/17
Programmer: aoxautomagical
*/
/* additional for sidebar */
/* Parametric mixins for font attributes */
.box-shadow {
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}
.box-shadow-hover {
  -webkit-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  -moz-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}
/*
box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .2), 0 1px 5px 0 rgba(0, 0, 0, .12)

.gradient(@color: linear; 45deg, #00AEFF 50%, #0192d7 100% !important);
*/
/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
/* Base Styles */
html,
body {
  height: 100%;
  overflow: visible;
}
body {
  font-family: 'Lato', sans-serif;
  -webkit-font-smoothing: antialiased;
  -webkit-text-size-adjust: 100%;
  font-size: 16px;
  background-color: #d1d1d1;
}
footer {
  width: 100%;
  height: 40px;
  text-align: center;
  color: #d1d1d1;
  position: fixed;
  bottom: 0;
  font-weight: bold;
  font-family: 'Cabin Sketch', arial, serif;
}
a {
  color: #10589d;
}
a:hover {
  text-transform: uppercase;
  font-size: larger;
}
h1 {
  color: #10589d;
  font-size: 1.5em;
  text-align: left;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Volkhov', serif;
}
h2 {
  padding-top: 10px;
  padding-bottom: 10px;
  color: #d1d1d1;
  font-size: 1em;
}
h3 {
  padding-top: 10px;
  padding-bottom: 10px;
  color: #4a4949;
  font-size: 1em;
  font-family: 'Lato', sans-serif;
}
header {
  font-family: 'Volkhov', serif;
}
img {
  max-width: 100%;
}
li {
  text-align: justify;
  line-height: 2;
  margin-bottom: 10px;
}
p {
  text-align: justify;
  line-height: 1.5;
}
section {
  margin-top: 30px;
  margin-bottom: 30px;
  padding: 20px !important;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  background-color: #1a85eb;
}
/* End Base Styles */
/* Custom Styles */
ul li .fa {
  padding-right: 15px;
}
/* scrollbar */
::-webkit-scrollbar {
  width: 12px;
}
/*scrollbar track */
::-webkit-scrollbar-track {
  background-color: #4a4949;
}
/* scrollbar handle */
::-webkit-scrollbar-thumb {
  background: #dd2b2f;
  width: 10px;
}
#splash-container {
  background-image: url('../img/cityscapebw.jpg');
  background-size: cover;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}
.card {
  background-color: #ffffff;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}
.card:first-child {
  margin-bottom: 30px;
}
.card:hover {
  -webkit-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  -moz-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}
.card-header {
  background: #4a4949;
  color: #fff;
  padding: 0 10px;
  text-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2);
  font-size: 1.3em;
  font-family: 'Volkhov', serif;
  font-weight: normal;
  text-transform: uppercase;
  position: relative;
  margin-top: -1%;
}
p.card,
ul.card {
  padding: 0 10px;
}
/* End Custom Styles */
/* Skills Section */
#skills img {
  left: 50%;
  transform: translate(-50%, 0);
  position: relative;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}
#skills img:hover {
  -webkit-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  -moz-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}
/* Skills Map */
.skills-map area {
  cursor: pointer;
}
.skills-map map,
.skills-map map area,
.skills-map area:hover,
.skills-map area:active,
.skills-map map:hover,
.skills-map map:active {
  outline: none;
  border: none;
}
/* Skills Table */
col {
  width: 120px;
}
table {
  border-spacing: 2px;
  border-collapse: separate;
}
#skills h4 {
  text-align: center;
}
#skills td {
  line-height: 20px;
  font-size: 13px;
  padding-right: 10px;
}
#skills tr {
  text-align: right;
}
#skills tr:hover {
  font-weight: bold;
}
#skills th {
  text-transform: uppercase;
  padding: 10px 10px 10px 0;
  text-align: right;
}
.coding-skills,
.tools-skills,
.cms-skills,
.other-skills {
  margin-top: 10px;
}
.coding-skills table:hover {
  background-color: rgba(94, 105, 92, 0.5);
  color: #3EA0A5;
}
.tools-skills table:hover {
  background-color: rgba(222, 89, 41, 0.5);
  color: #614336;
}
.cms-skills table:hover {
  background-color: rgba(71, 52, 40, 0.5);
  color: #614336;
}
.other-skills table:hover {
  background-color: rgba(193, 124, 46, 0.5);
  color: #614336;
}
/*tag cloud */
ul.weighted {
  float: left;
  display: block;
  overflow: auto;
  padding: 20px;
  margin: 30px 10px 20px 0;
  background-color: #fff;
  border: 4px solid #aaa;
  border-radius: 20px;
  -moz-border-radius: 20px;
}
ul.weighted li {
  display: inline;
}
ul.weighted li a {
  margin: 2px;
}
.centred p {
  width: 320px;
  float: left;
  margin-left: 20px;
}
.preright {
  float: left;
}
.giant {
  font-family: Impact, sans-serif;
  font-size: 74px;
}
.huge {
  font-family: Impact, sans-serif;
  font-size: 56px;
}
.large {
  font-family: 'Arial Black', sans-serif;
  font-size: 40px;
}
.medium {
  font-family: Verdana, sans-serif;
  font-size: 18px;
}
.small {
  font-family: Lato, sans-serif;
  font-size: 11px;
}
a.red {
  color: #dd2b2f;
}
a.white {
  color: #ffffff;
}
a.blue {
  color: #10589d;
}
a.yellow {
  color: #ff0;
}
/* End Skills Section */
/* Project Section */
.projects h5 {
  position: relative;
  /* hold */
}
/* Projects Grid */
.proj-grid {
  position: relative;
  height: auto;
  margin-left: 22px;
}
.proj-grid ul {
  list-style: none;
  display: block;
  width: 100%;
  margin: 0;
  padding: 0;
}
.proj-grid li:hover {
  -webkit-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  -moz-box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}
/* Clear floats */
.proj-grid ul:before,
.proj-grid ul:after {
  content: '';
  display: table;
}
.proj-grid ul:after {
  clear: both;
}
.proj-grid ul {
  zoom: 1;
  /* For IE 6/7 (trigger hasLayout) */
}
.proj-grid ul li {
  -webkit-perspective: 400px;
  -moz-perspective: 400px;
  -o-perspective: 400px;
  -ms-perspective: 400px;
  perspective: 400px;
  margin: 3px;
  padding: 0;
  float: left;
  position: relative;
  display: block;
  overflow: hidden;
  box-shadow: 2px 2px 2px black;
}
.proj-grid ul li a {
  display: block;
  outline: none;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -o-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -o-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-background-size: 100% 100%;
  -moz-background-size: 100% 100%;
  background-size: 100% 100%;
  background-position: center center;
  background-repeat: no-repeat;
  background-color: #333;
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}
/* Grid wrapper sizes */
.proj-grid-size {
  width: 100%;
  margin-top: 0px;
}
/* Shadow style */
.proj-shadow:after,
.proj-shadow:before {
  content: "";
  position: absolute;
  z-index: -2;
  bottom: 15px;
  left: 10px;
  width: 28%;
  /*was 50% */
  height: 20%;
  max-width: 300px;
  max-height: 100px;
  box-shadow: 0 15px 10px rgba(0, 0, 0, 0.7);
  -webkit-transform: rotate(-3deg);
  -moz-transform: rotate(-3deg);
  -ms-transform: rotate(-3deg);
  -o-transform: rotate(-3deg);
  transform: rotate(-3deg);
}
.proj-shadow:after {
  right: 10px;
  left: auto;
  -webkit-transform: rotate(3deg);
  -moz-transform: rotate(3deg);
  -ms-transform: rotate(3deg);
  -o-transform: rotate(3deg);
  transform: rotate(3deg);
  position: relative;
  /* hold */
}
.proj-grid-loading:after,
.proj-grid-loading:before {
  display: none;
}
.proj-loading-image {
  display: none;
}
.proj-grid-loading .proj-loading-image {
  position: relative;
  width: 30px;
  height: 30px;
  left: 50%;
  margin: 100px 0 0 -15px;
  display: block;
}
/* End Project Section */
/* Contact Section */
input:placeholder-shown,
textarea.form-control {
  color: #dd2b2f;
  text-align: center;
}
:placeholder-shown {
  /* Chrome/Opera/Safari */
  padding-left: 10px;
}
.contact-box {
  display: block;
  padding: 0 15px 0 15px;
}
.avatar {
  padding-bottom: 20px;
}
.avatar img {
  padding: 5px;
  border-radius: 50%;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  display: block;
  margin: auto;
}
.control {
  font-size: 1rem;
  position: relative;
  text-align: left;
}
.form-field {
  margin-bottom: 15px;
}
.form-control {
  display: block;
  width: 100%;
  padding: 6px 0px;
  margin-bottom: .75rem;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  font-family: 'Lato', sans-serif;
}
.form-control:focus {
  border-color: #10589d;
  outline: 0;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}
.form-control::-moz-placeholder {
  color: #d1d1d1;
  opacity: 1;
}
.form-control:-ms-input-placeholder {
  color: #d1d1d1;
}
.form-control::-webkit-input-placeholder {
  color: #d1d1d1;
}
.form-control::-ms-expand {
  background-color: transparent;
  border: 0;
}
.button.is-fullwidth {
  /* display: -webkit-box; */
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  margin-bottom: .75rem;
}
.button.is-large {
  font-size: 20px;
}
.button.is-info {
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  border-color: transparent;
  font-family: 'Lato', sans-serif;
  margin-bottom: 10px;
}
/* End Contact Section */
/* Scroll to Top */
#scrolltop {
  display: none;
}
#balloonup {
  position: fixed;
  bottom: 50px;
  z-index: 7;
  display: none;
  visibility: hidden;
  width: 30px;
  height: 48px;
  right: 18px;
  background: url("../img/balloonup.png") no-repeat 50% 0;
  opacity: 0;
  -webkit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -moz-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 1px 5px 0 rgba(0, 0, 0, 0.12);
  -webkit-transition: visibility 0.8s cubic-bezier(0.6, 0.04, 0.98, 0.335), opacity 0.8s cubic-bezier(0.6, 0.04, 0.98, 0.335), -webkit-transform s cubic-bezier(0.6, 0.04, 0.98, 0.335);
  -moz-transition: visibility 0.8s cubic-bezier(0.6, 0.04, 0.98, 0.335), opacity 0.8s cubic-bezier(0.6, 0.04, 0.98, 0.335), -moz-transform 0.8s cubic-bezier(0.6, 0.04, 0.98, 0.335);
  transition: visibility 0.8s cubic-bezier(0.6, 0.04, 0.98, 0.335), opacity 0.8s cubic-bezier(0.6, 0.04, 0.98, 0.335), transform 0.8s cubic-bezier(0.6, 0.04, 0.98, 0.335);
}
#balloonup i {
  display: block;
  color: #dd2b2f;
  font-weight: 900;
  margin-top: 68px;
  height: 14px;
  background: url("../img/balloonup.png") no-repeat 50% -48px;
  opacity: .5;
  -webkit-transition: -webkit-transform 0.2s;
  -moz-transition: -moz-transform 0.2s;
  transition: transform .2s;
  -webkit-transform-origin: 50% 0;
  -moz-transform-origin: 50% 0;
  transform-origin: 50% 0;
}
#balloonup:hover {
  box-shadow: none;
  background-position: 50% -62px;
}
#balloonup:hover i {
  background-position: 50% 100%;
  -webkit-animation: .7s infinite;
  -moz-animation: .7s infinite;
  animation: .7s infinite;
  color: transparent;
}
#balloonup.showballoon {
  visibility: visible;
  opacity: 1;
}
#balloonup.launchballoon {
  background-position: 50% -62px;
  opacity: 0;
  -webkit-transform: translateY(-800px);
  -moz-transform: translateY(-800px);
  -ms-transform: translateY(-800px);
  transform: translateY(-800px);
  pointer-events: none;
  color: transparent;
}
#balloonup.launchballoon i {
  background-position: 50% 100%;
  -webkit-transform: scale(1.4, 3.2);
  -moz-transform: scale(1.4, 3.2);
  transform: scale(1.4, 3.2);
  color: transparent;
}
/* End Scroll to Top */
/** does main matter? 

main {
    min-height: calc(100% - 100px);
    -webkit-transition: .3s ease all;
    -o-transition: .3s ease all;
    -moz-transition: .3s ease all;
    transition: .3s ease all;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    backface-visibility: hidden;
}

**/
/* Show/Hide flaticons based on screen size */
@media only screen and (min-width: 320px) and (max-width: 559px) {
  .hide-lg {
    visibility: hidden;
    display: none !important;
  }
}
@media only screen and (min-width: 600px) {
  .hide-sm {
    visibility: hidden;
    display: none !important;
  }
}
/* ===== == = === (320px) === = == ===== */
@media only screen and (min-width: 20em) {
  body {
    width: 100%;
  }
  main {
    padding: 0;
  }
  h2,
  h3,
  h4,
  h5,
  h6 {
    text-align: center;
  }
  footer {
    display: none;
  }
  #balloonup {
    box-shadow: none;
  }
  #splash-container img {
    position: relative;
  }
  .card p {
    padding: 0 15px 0 15px;
  }
}
/* ===== == = === (480px) === = == ===== */
/* ===== == = === (600px) === = == ===== */
@media only screen and (min-width: 37.5em) {
  body {
    width: 100%;
  }
  section {
    margin-left: 45px;
  }
  #splash-container img {
    display: block;
    margin-right: auto;
    margin-left: auto;
  }
  .card p {
    padding-bottom: 15px;
  }
}
/* ===== == = === (768px) === = == ===== */
@media (min-width: 48em) {
  h2,
  h3,
  h4,
  h5,
  h6 {
    text-align: justify;
  }
  #wrapper {
    margin-left: 175px;
    margin-right: 15px;
    margin-bottom: 70px;
  }
  #section-wrapper {
    margin-right: 50px;
  }
}
/* ===== == = === (900px) === = == ===== */
/* ===== == = === (1100px) === = == ===== */
/* ===== == = === (1300px) === = == ===== */
